Tradingview app not working after the update

Hello Garuda users.

Please read the following template before requesting assistance:

Please post the terminal/konsole input and output as text (no pictures) from the the following command:

garuda-inxi

System:
Kernel: 5.15.75-1-lts arch: x86_64 bits: 64 compiler: gcc v: 12.2.0
parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-lts
root=UUID=e32a2c0e-52f2-454d-b780-810f1e2082c4 rw [email protected]
quiet quiet splash rd.udev.log_priority=3 vt.global_cursor_default=0
loglevel=3
Desktop: KDE Plasma v: 5.26.2 tk: Qt v: 5.15.6 wm: kwin_x11 vt: 1
dm: SDDM Distro: Garuda Linux base: Arch Linux
Machine:
Type: Desktop System: HP product: HP EliteDesk 800 G2 SFF v: N/A
serial: <superuser required> Chassis: type: 4 serial: <superuser required>
Mobo: HP model: 8054 v: KBC Version 05.39 serial: <superuser required>
UEFI: HP v: N01 Ver. 02.47 date: 04/28/2020
Battery:
Device-1: hidpp_battery_0 model: Logitech Wireless Mouse serial: <filter>
charge: 55% (should be ignored) rechargeable: yes status: discharging
Device-2: hidpp_battery_1 model: Logitech Wireless Keyboard
serial: <filter> charge: 55% (should be ignored) rechargeable: yes
status: discharging
CPU:
Info: model: Intel Core i5-6500 bits: 64 type: MCP arch: Skylake-S
gen: core 6 level: v3 note: check built: 2015 process: Intel 14nm family: 6
model-id: 0x5E (94) stepping: 3 microcode: 0xF0
Topology: cpus: 1x cores: 4 smt: <unsupported> cache: L1: 256 KiB
desc: d-4x32 KiB; i-4x32 KiB L2: 1024 KiB desc: 4x256 KiB L3: 6 MiB
desc: 1x6 MiB
Speed (MHz): avg: 1564 high: 2174 min/max: 800/3600 scaling:
driver: intel_pstate governor: powersave cores: 1: 1058 2: 1042 3: 2174
4: 1985 bogomips: 25599
Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
Vulnerabilities:
Type: itlb_multihit status: KVM: VMX disabled
Type: l1tf mitigation: PTE Inversion; VMX: conditional cache flushes, SMT
disabled
Type: mds mitigation: Clear CPU buffers; SMT disabled
Type: meltdown mitigation: PTI
Type: mmio_stale_data mitigation: Clear CPU buffers; SMT disabled
Type: retbleed mitigation: IBRS
Type: spec_store_bypass mitigation: Speculative Store Bypass disabled via
prctl and seccomp
Type: spectre_v1 mitigation: usercopy/swapgs barriers and __user pointer
sanitization
Type: spectre_v2 mitigation: IBRS, IBPB: conditional, RSB filling,
PBRSB-eIBRS: Not affected
Type: srbds mitigation: Microcode
Type: tsx_async_abort mitigation: TSX disabled
Graphics:
Device-1: Intel HD Graphics 530 vendor: Hewlett-Packard driver: i915
v: kernel arch: Gen-9 process: Intel 14n built: 2015-16 ports: active: none
empty: DP-1, DP-2, DP-3, HDMI-A-1, HDMI-A-2 bus-ID: 00:02.0
chip-ID: 8086:1912 class-ID: 0300
Device-2: NVIDIA GK208B [GeForce GT 710] vendor: Gigabyte driver: nvidia
v: 470.141.03 alternate: nouveau,nvidia_drm non-free: series: 470.xx+
status: legacy-active (EOL~2023/24) arch: Fermi 2 code: GF119/GK208
process: TSMC 28nm built: 2010-16 pcie: gen: 2 speed: 5 GT/s lanes: 8
bus-ID: 01:00.0 chip-ID: 10de:128b class-ID: 0300
Display: x11 server: X.Org v: 21.1.4 with: Xwayland v: 22.1.4
compositor: kwin_x11 driver: N/A note:  X driver n/a display-ID: :0
screens: 1
Screen-1: 0 s-res: 1920x1080 s-dpi: 92 s-size: 530x301mm (20.87x11.85")
s-diag: 610mm (24")
Monitor-1: HDMI-0 res: 1920x1080 hz: 60 dpi: 93
size: 527x296mm (20.75x11.65") diag: 604mm (23.8") modes: N/A
OpenGL: renderer: NVIDIA GeForce GT 710/PCIe/SSE2 v: 4.6.0 NVIDIA
470.141.03 direct render: Yes
Audio:
Device-1: Intel 100 Series/C230 Series Family HD Audio
vendor: Hewlett-Packard driver: snd_hda_intel v: kernel bus-ID: 00:1f.3
chip-ID: 8086:a170 class-ID: 0403
Device-2: NVIDIA GK208 HDMI/DP Audio vendor: Gigabyte
driver: snd_hda_intel v: kernel pcie: gen: 2 speed: 5 GT/s lanes: 8
bus-ID: 01:00.1 chip-ID: 10de:0e0f class-ID: 0403
Sound API: ALSA v: k5.15.75-1-lts running: yes
Sound Server-1: PulseAudio v: 16.1 running: no
Sound Server-2: PipeWire v: 0.3.59 running: yes
Network:
Device-1: Intel Ethernet I219-LM vendor: Hewlett-Packard driver: e1000e
v: kernel port: N/A bus-ID: 00:1f.6 chip-ID: 8086:15b7 class-ID: 0200
IF: eno1 state: down mac: <filter>
Device-2: Realtek RTL8188EUS 802.11n Wireless Network Adapter type: USB
driver: r8188eu bus-ID: 1-2:2 chip-ID: 0bda:8179 class-ID: 0000
serial: <filter>
IF: wlp0s20f0u2 state: up mac: <filter>
Drives:
Local Storage: total: 577.05 GiB used: 306.96 GiB (53.2%)
SMART Message: Unable to run smartctl. Root privileges required.
ID-1: /dev/sda maj-min: 8:0 vendor: Hikvision model: HS-SSD-C100 120G
size: 111.79 GiB block-size: physical: 512 B logical: 512 B speed: 6.0 Gb/s
type: SSD serial: <filter> rev: 373 scheme: GPT
ID-2: /dev/sdb maj-min: 8:16 vendor: Western Digital
model: WD5000AUDX-56WNHY0 size: 465.26 GiB block-size: physical: 4096 B
logical: 512 B speed: 6.0 Gb/s type: N/A serial: <filter> rev: 1A01
scheme: MBR
Partition:
ID-1: / raw-size: 111.49 GiB size: 111.49 GiB (100.00%) used: 12.49 GiB
(11.2%) fs: btrfs dev: /dev/sda2 maj-min: 8:2
ID-2: /boot/efi raw-size: 300 MiB size: 299.4 MiB (99.80%) used: 608 KiB
(0.2%) fs: vfat dev: /dev/sda1 maj-min: 8:1
ID-3: /home raw-size: 111.49 GiB size: 111.49 GiB (100.00%) used: 12.49
GiB (11.2%) fs: btrfs dev: /dev/sda2 maj-min: 8:2
ID-4: /var/log raw-size: 111.49 GiB size: 111.49 GiB (100.00%) used: 12.49
GiB (11.2%) fs: btrfs dev: /dev/sda2 maj-min: 8:2
ID-5: /var/tmp raw-size: 111.49 GiB size: 111.49 GiB (100.00%) used: 12.49
GiB (11.2%) fs: btrfs dev: /dev/sda2 maj-min: 8:2
Swap:
Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
ID-1: swap-1 type: zram size: 23.24 GiB used: 0 KiB (0.0%) priority: 100
dev: /dev/zram0
Sensors:
System Temperatures: cpu: 37.0 C pch: 49.0 C mobo: N/A gpu: nvidia
temp: 56 C
Fan Speeds (RPM): N/A gpu: nvidia fan: 40%
Info:
Processes: 281 Uptime: 53m wakeups: 13 Memory: 23.24 GiB used: 4.28 GiB
(18.4%) Init: systemd v: 251 default: graphical tool: systemctl
Compilers: gcc: 12.2.0 Packages: pm: pacman pkgs: 1336 libs: 319
tools: octopi,pamac,paru Shell: fish v: 3.5.1 default: Bash v: 5.1.16
running-in: konsole inxi: 3.3.22
Garuda (2.6.9-1):
System install date:     2022-10-29
Last full system update: 2022-10-29 ↻
Is partially upgraded:   No
Relevant software:       NetworkManager
Windows dual boot:       No/Undetected
Snapshots:               Snapper
Failed units:

Hi there,
Tradingview was working fine till yesterday but today as i updated the system it showed me the error after opening the app
here is the pic of the error

Link image 2022 10 29 100027801 — Postimages

Please help me get this app working again.
Thanks

The package had an update a few days ago, so most likely this is an upstream bug.
Maybe check if the 2nd comment, on configuring the use of electron18 helps, although I see it in the dependencies, so it could be an old solved problem.
Or following that idea you could try with electron19 or electron, both newer than electron18.
https://aur.archlinux.org/packages/tradingview-bin
In the worst case, you could consider trying a

downgrade trandingview-bin
4 Likes

Hi
i do not know how to upgrade to electron or electron19
i tried downgrading with the commend you gave but it says (downgrade must be run as root).
Please help me get this app working.

sudo downgrade trandingview-bin
1 Like

sudo downgrade trandingview-bin
[sudo] password for vk:
No results found
Unable to downgrade trandingview-bin

I got this.

So this means that it was not installed from pacman or a pacman helper.
Probably you downloaded the snap from their website.
I'm afraid I won't be able to help with that.
Check if they have a forum or anything else (maybe a chat) for support.
Edit:
I see now that the AUR package links to the snap anyway.
Maybe you could try playing with that /usr/bin/tradingview as per the comment.
Try changing electron to electron18, or the contrary.
Or you could try with electron19, which can be installed with

sudo pacman -S electron19

Or

sudo pacman -S electron

I'm sorry but it's just a bit of blind eyes testing....

2 Likes

Hi there
I downloaded the tradingview-bin from add/remove software.
i uninstalled the tradingview
can i download the electron19 from add/remove software and reinstall tradingview-bin again ?

So, no improvement with trandingview-bin?
It seems to me that the package is made to work with electron18.
You can install electron19, but to use it I think you'll have to tweak the above-mentioned file.

I am asking you if i can download the electron19 from add/remove software would it work ? and then reinstall the tradingview-bin from add/remove.
and also i have to options to choose from electron19 (19.03.13-3) and the second is electron19-bin (19.1.3-1)
Which one you think i should go for ?

BTW, use pacman not pamac :slight_smile:

sudo pacman -Syu electron19
3 Likes

Hi there,
I went to the tradingview site and searched for the linux installation and found it, i followed the steps and the app now works just fine. i am sharing the link to the commands i followed.

Thanks everyone for helping out :smiley:

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.